require "faraday"

# utilities
require "kek/version"
require "kek/json"

# methods
require "kek/keys"
require "kek/directory"

class Kek

  attr_accessor :client

  def initialize(url)
    @client = Faraday.new url do |conn|
      conn.request :url_encoded
      conn.use JSONParser
      conn.adapter Faraday.default_adapter
    end
  end

  def version
    @client.get('/version').body
  end

end
