class Kek

  def set(key, value, opts = {})
    @client.put("/v2/keys/#{key}", opts.merge(value: value)).body[:action] == 'set'
  end

  def get(key)
    @client.get("/v2/keys/#{key}").body.dig(:node, :value)
  end

  def delete(key, opts = {})
    @client.delete("/v2/keys/#{key}", opts).body[:action] == "delete"
  end

end
